diff -Nur smstools3.orig//Makefile smstools3/Makefile
--- smstools3.orig//Makefile	2007-04-22 06:42:22.000000000 -0500
+++ smstools3/Makefile	2010-10-15 22:34:14.971037552 -0500
@@ -2,7 +2,7 @@
 
 # If you change destination of executables, remember to change
 # startup script (init.d/sms3) too.
-BINDIR=/usr/local/bin
+BINDIR=/usr/bin
 
 VERSION=$(shell grep package_version src/version.h | cut -f2)
 
@@ -10,7 +10,7 @@
 	cd src && $(MAKE) -$(MAKEFLAGS) 
 
 install: compile
-	./install.sh $(BINDIR)
+	./install.sh $(DESTDIR)$(BINDIR)
 
 uninstall: 
 	./uninstall.sh $(BINDIR)
diff -Nur smstools3.orig//install.sh smstools3/install.sh
--- smstools3.orig//install.sh	2007-04-22 06:43:17.000000000 -0500
+++ smstools3/install.sh	2010-10-15 22:34:14.971037552 -0500
@@ -5,6 +5,7 @@
 if [ -z "$BINDIR" ]; then
   BINDIR=/usr/local/bin
 fi
+SBINDIR=$DESTDIR/usr/sbin
 
 makepath()
 {
@@ -64,7 +65,7 @@
     echo "  Skipped $1, directory already exists"
   else
     echo "  Creating directory $1"
-    mkdir $1
+    mkdir -p $1
   fi
 }
 
@@ -76,10 +77,11 @@
 
 echo "Installing binary program files"
 makepath $BINDIR
+makepath $SBINDIR
 if [ -f src/smsd.exe ]; then
   forcecopy src/smsd.exe $BINDIR/smsd.exe
 else
-  forcecopy src/smsd $BINDIR/smsd
+  forcecopy src/smsd $SBINDIR/smsd
 fi
 delete $BINDIR/getsms
 delete $BINDIR/putsms
@@ -90,32 +92,18 @@
 copy scripts/sms2unicode $BINDIR/sms2unicode
 copy scripts/unicode2sms $BINDIR/unicode2sms
 
-echo "Installing config file"
-copy examples/smsd.conf.easy /etc/smsd.conf
-
 echo "Creating minimum spool directories"
-makedir /var/spool
-makedir /var/spool/sms
-makedir /var/spool/sms/incoming
-makedir /var/spool/sms/outgoing
-makedir /var/spool/sms/checked
+makedir $DESTDIR/var/spool
+makedir $DESTDIR/var/spool/sms
+makedir $DESTDIR/var/spool/sms/incoming
+makedir $DESTDIR/var/spool/sms/outgoing
+makedir $DESTDIR/var/spool/sms/checked
 
 echo "Installing start-script"
-SMS3SCRIPT=scripts/sms3
-if [ -d /etc/init.d ]; then
-  copy scripts/sms3 /etc/init.d/sms3
-  SMS3SCRIPT=/etc/init.d/sms3
-elif [ -d /sbin/init.d ]; then
-  copy scripts/sms3 /sbin/init.d/sms3
-  SMS3SCRIPT=/sbin/init.d/sms3
-else
-  echo "  I do not know where to copy scripts/sms3. Please find out yourself."
-fi
+makedir $DESTDIR/etc/rc.d
+copy scripts/sms3 $DESTDIR/etc/rc.d/rc.sms3.new
+SMS3SCRIPT=/etc/rc.d/rc.sms3
 
 echo ""
 echo "Example script files are not installed automatically."
 echo 'Please dont forget to edit /etc/smsd.conf.'
-if [ "$BINDIR" != "/usr/local/bin" ]; then
-  echo "You have installed executables to $BINDIR,"
-  echo "you should manually edit $SMS3SCRIPT script."
-fi
diff -Nur smstools3.orig//scripts/sms3 smstools3/scripts/sms3
--- smstools3.orig//scripts/sms3	2010-05-04 04:21:44.000000000 -0500
+++ smstools3/scripts/sms3	2010-10-15 22:34:14.971037552 -0500
@@ -24,9 +24,9 @@
 # Logfile can also be defined in here:
 LOGFILE="/var/log/smsd.log"
 
-DAEMON=/usr/local/bin/smsd
+DAEMON=/usr/sbin/smsd
 # A program which turns power off for couple of seconds:
-RESETMODEMS=/usr/local/bin/smsd_resetmodems
+RESETMODEMS=/usr/bin/smsd_resetmodems
 NAME=smsd
 PSOPT="-e"
 ECHO=echo
